Steerd API
Contacts

Update a contact

PATCH
/api/public/v1/contacts/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Header Parameters

idempotency-key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/public/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "avatar_url": "string",  "birthday": null,  "birthday_no_year": false,  "created_at": "string",  "email": "string",  "first_name": "string",  "id": "string",  "is_primary": true,  "last_name": "string",  "nickname": null,  "notes": "string",  "organization_id": "string",  "phone": "string",  "position": "string",  "updated_at": "string"}
{  "error": {    "code": "string",    "message": "string"  }}